# List exchange filters

Launch stage: Public Preview

`GET /api/2.0/marketplace-exchange/filters`

`GET /api/2.1/marketplace-exchange/filters`

List exchange filter

API scopes: marketplace

## Query parameters

- `exchange_id` (string, required)
- `page_token` (string, optional)
- `page_size` (int32, optional)

## Returns

- `filters` (array of object, optional)
  - `id` (string, optional)
  - `exchange_id` (string, required)
  - `filter_value` (string, required)
  - `name` (string, optional)
  - `created_at` (int64, optional)
  - `created_by` (string, optional)
  - `updated_at` (int64, optional)
  - `updated_by` (string, optional)
  - `filter_type` (string, required)
    Possible values:
    - `GLOBAL_METASTORE_ID`
- `next_page_token` (string, optional)

## Response

```json
{
  "filters": [
    {
      "id": "string",
      "exchange_id": "string",
      "filter_value": "string",
      "name": "string",
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "filter_type": "GLOBAL_METASTORE_ID"
    }
  ],
  "next_page_token": "string"
}
```

